Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.remoting.detection.multicast
Interface MulticastDetectorMBean

All Superinterfaces:
  AbstractDetectorMBean, Detector, javax.management.MBeanRegistration

All Known Implementing Classes:
  MulticastDetector

    public interface MulticastDetectorMBean

extends AbstractDetectorMBean

MulticastDetectorMBean

Version:
  $Revision: 566 $
Author:
  Jeff Haynie

Method Summary
`java.net.InetAddress` | `getAddress()` return the multicast address of the detector
`java.net.InetAddress` | `getBindAddress()` return the bind address of the detector
`java.lang.String` | `getDefaultIP()`
`int` | `getPort()` get the port that the detector is multicasting to
`void` | `setAddress(java.net.InetAddress ip)` set the interface address of the multicast
`void` | `setBindAddress(java.net.InetAddress ip)` set the bind address
`void` | `setDefaultIP(java.lang.String defaultIP)`
`void` | `setPort(int port)` set the port for detections to be multicast to

Methods inherited from interface org.jboss.remoting.detection.AbstractDetectorMBean
`getConfiguration, getDefaultTimeDelay, getHeartbeatTimeDelay, setConfiguration, setDefaultTimeDelay, setHeartbeatTimeDelay`

Methods inherited from interface org.jboss.remoting.detection.Detector
`start, stop`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preDeregister, preRegister`

Method Detail

### getAddress

    java.net.InetAddress getAddress()

  return the multicast address of the detector

  Returns:

### setAddress

    void setAddress(java.net.InetAddress ip)

  set the interface address of the multicast

  Parameters:
    `ip` -

### getBindAddress

    java.net.InetAddress getBindAddress()

  return the bind address of the detector

  Returns:

### setBindAddress

    void setBindAddress(java.net.InetAddress ip)

  set the bind address

  Parameters:
    `ip` -

### setPort

    void setPort(int port)

  set the port for detections to be multicast to

  Parameters:
    `port` -

### getPort

    int getPort()

  get the port that the detector is multicasting to

  Returns:

### getDefaultIP

    java.lang.String getDefaultIP()

  Returns:
    The IP that is used to broadcast detection messages on via multicast.

### setDefaultIP

    void setDefaultIP(java.lang.String defaultIP)

  Parameters:
    `defaultIP` - The IP that is used to broadcast detection messages on via multicast.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 1998-2005 JBoss Inc . All Rights Reserved.